| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Public Attributes | List of all members
my_upsampler Struct Reference

## Public Member Functions
| JMETHOD (void, upmethod,(j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION in_row_group_ctr, JSAMPARRAY output_buf))

## Public Attributes
struct jpeg_upsampler | pub
int * | Cr_r_tab
int * | Cb_b_tab
INT32 * | Cr_g_tab
INT32 * | Cb_g_tab
JSAMPROW | spare_row
boolean | spare_full
JDIMENSION | out_row_width
JDIMENSION | rows_to_go
JSAMPARRAY | color_buf [MAX_COMPONENTS]
upsample1_ptr | methods [MAX_COMPONENTS]
int | next_row_out
int | rowgroup_height [MAX_COMPONENTS]
UINT8 | h_expand [MAX_COMPONENTS]
UINT8 | v_expand [MAX_COMPONENTS]

## Detailed Description

Definition at line 44 of file jdmerge.c.

## Member Function Documentation

my_upsampler::JMETHOD | ( | void | ,
|  | upmethod | ,
|  | (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION in_row_group_ctr, JSAMPARRAY output_buf) |
| ) |  |

## Member Data Documentation

int* my_upsampler::Cb_b_tab

Definition at line 54 of file jdmerge.c.

INT32* my_upsampler::Cb_g_tab

Definition at line 56 of file jdmerge.c.

JSAMPARRAY my_upsampler::color_buf[MAX_COMPONENTS]

Definition at line 43 of file jdsample.c.

INT32* my_upsampler::Cr_g_tab

Definition at line 55 of file jdmerge.c.

int* my_upsampler::Cr_r_tab

Definition at line 53 of file jdmerge.c.

UINT8 my_upsampler::h_expand[MAX_COMPONENTS]

Definition at line 57 of file jdsample.c.

upsample1_ptr my_upsampler::methods[MAX_COMPONENTS]

Definition at line 46 of file jdsample.c.

int my_upsampler::next_row_out

Definition at line 48 of file jdsample.c.

JDIMENSION my_upsampler::out_row_width

Definition at line 66 of file jdmerge.c.

struct jpeg_upsampler my_upsampler::pub

Definition at line 45 of file jdmerge.c.

int my_upsampler::rowgroup_height[MAX_COMPONENTS]

Definition at line 52 of file jdsample.c.

JDIMENSION my_upsampler::rows_to_go

Definition at line 67 of file jdmerge.c.

boolean my_upsampler::spare_full

Definition at line 64 of file jdmerge.c.

JSAMPROW my_upsampler::spare_row

Definition at line 63 of file jdmerge.c.

UINT8 my_upsampler::v_expand[MAX_COMPONENTS]

Definition at line 58 of file jdsample.c.

The documentation for this struct was generated from the following files:

- /usr/local/bsoft/jpeg/jdmerge.c
- /usr/local/bsoft/jpeg/jdsample.c